API Key Update Expiration
POST/api/v1/apikey/:apikey_id/update
Update the expiration date of a specific API key.
Request
Path Parameters
The UUID4 identifier associated with this API Key.
- application/json
Body
required
The new expiration date for the API key. Set to null to remove expiration. The date should be in ISO8601 format.
Responses
- 200
- 400
- 404
- 500
- application/json
- Schema
- Example (from schema)
Schema
The API key. Will be null unless the key was created during the request. Keys are not stored in plaintext and can not be recovered after creation time.
The date that the API key was created.
The date that the API key will automatically expire.
The last time that the API key was used to authenticate with the API.
The database ID for the API key. Used when deleting keys.
The human-readable name for the API key used for managing keys.
The non-secret key prefix.
The non-secret key suffix. Helpful for identifying keys if a name wasn't specified at creation time.
{
"api_key": "string",
"date_created": "2025-09-23T18:36:38.104Z",
"date_expires": "2025-09-23T18:36:38.104Z",
"date_last_used": "2025-09-23T18:36:38.104Z",
"id": "string",
"name": "string",
"prefix": "string",
"suffix": "string"
}
- application/json
- Schema
- Example (from schema)
Schema
- MOD1
- MOD2
exception_idobject
string
string
Default value: Value Error.
{
"error": "string",
"exception_id": "string",
"message": "Value Error."
}
- application/json
- Schema
- Example (from schema)
Schema
- MOD1
- MOD2
- MOD1
- MOD2
apikey_idobjectrequired
string
string
exception_idobject
string
string
{
"apikey_id": "string",
"error": "string",
"exception_id": "string",
"message": "string"
}
- application/json
- Schema
- Example (from schema)
Schema
- MOD1
- MOD2
exception_idobject
string
string
Default value: An internal error occurred.
{
"exception_id": "string",
"message": "An internal error occurred."
}